## r-cran-parallelmap 1.4

=== DESCRIPTION ===
Package: parallelMap
Title: Unified Interface to Parallelization Back-Ends
Version: 1.4
Authors@R: 
    c(person(given = "Bernd",
             family = "Bischl",
             role = c("cre", "aut"),
             email = "bernd_bischl@gmx.net"),
      person(given = "Michel",
             family = "Lang",
             role = "aut",
             email = "michellang@gmail.com",
             comment = c(ORCID = "0000-0001-9754-0393")))
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
Description: Unified parallelization framework for multiple
    back-end, designed for internal package and interactive usage.  The
    main operation is parallel mapping over lists.  Supports 'local',
    'multicore', 'mpi' and 'BatchJobs' mode.  Allows tagging of the
    parallel operation with a level name that can be later selected by the
    user to switch on parallel execution for exactly this operation.
License: BSD_2_clause + file LICENSE
URL: https://github.com/berndbischl/parallelMap
BugReports: https://github.com/berndbischl/parallelMap/issues
Depends: R (>= 3.0.0)
Imports: BBmisc (>= 1.8), checkmate (>= 1.8.0), parallel, stats, utils
Suggests: BatchJobs (>= 1.8), batchtools (>= 0.9.6), data.table, Rmpi,
        testthat
ByteCompile: yes
Encoding: UTF-8
LazyData: yes
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-05-17 09:47:57 UTC; lang
Author: Bernd Bischl [cre, aut],
  Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>)
Repository: CRAN
Date/Publication: 2019-05-17 10:50:29 UTC

## r-cran-parallelmap 1.3

=== debian/changelog ===
r-cran-parallelmap (1.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 09:19:52 +0200

r-cran-parallelmap (1.3-1) unstable; urgency=medium

  * Initial release (closes: #910460)

 -- Andreas Tille <tille@debian.org>  Sat, 06 Oct 2018 18:04:21 +0200

=== debian/control ===
Source: r-cran-parallelmap
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-bbmisc (>= 1.8),
               r-cran-checkmate (>= 1.5.1)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap.git
Homepage: https://cran.r-project.org/package=parallelMap

Package: r-cran-parallelmap
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R unified interface to parallelization back-ends
 Unified parallelization framework for multiple back-end,
 designed for internal package and interactive usage.
 The main operation is a parallel "map" over lists.
 Supports local, multicore, mpi and BatchJobs mode.
 Allows "tagging" of the parallel operation
 with a level name that can be later selected by the user to
 switch on parallel execution for exactly this operation.

## r-cran-parallelmap 1.4

=== debian/changelog ===
r-cran-parallelmap (1.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Test-Depends:  r-cran-batchtools
  * Ignore failing test

 -- Andreas Tille <tille@debian.org>  Sun, 14 Jul 2019 18:08:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-bbmisc (>= 1.8),
-               r-cran-checkmate (>= 1.5.1)
-Standards-Version: 4.2.1
+               r-cran-checkmate (>= 1.8.0)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap.git
 Homepage: https://cran.r-project.org/package=parallelMap

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-batchjobs, r-cran-batchtools
Restrictions: allow-stderr

## r-cran-parallelmap 1.5.0

=== DESCRIPTION ===
Package: parallelMap
Title: Unified Interface to Parallelization Back-Ends
Version: 1.5.0
Authors@R: 
    c(person(given = "Bernd",
             family = "Bischl",
             role = c("cre", "aut"),
             email = "bernd_bischl@gmx.net"),
      person(given = "Michel",
             family = "Lang",
             role = "aut",
             email = "michellang@gmail.com",
             comment = c(ORCID = "0000-0001-9754-0393")),
      person(given = "Patrick",
             family = "Schratz",
             role = "aut",
             email = "patrick.schratz@gmail.com",
             comment = c(ORCID = "0000-0003-0748-6624")))
Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
Description: Unified parallelization framework for multiple
    back-end, designed for internal package and interactive usage.  The
    main operation is parallel mapping over lists.  Supports 'local',
    'multicore', 'mpi' and 'BatchJobs' mode.  Allows tagging of the
    parallel operation with a level name that can be later selected by the
    user to switch on parallel execution for exactly this operation.
License: BSD_2_clause + file LICENSE
URL: https://parallelmap.mlr-org.com,
        https://github.com/berndbischl/parallelMap
BugReports: https://github.com/berndbischl/parallelMap/issues
Depends: R (>= 3.0.0)
Imports: BBmisc (>= 1.8), checkmate (>= 1.8.0), parallel, stats, utils
Suggests: BatchJobs (>= 1.8), batchtools (>= 0.9.6), data.table, Rmpi,
        rpart, snow, testthat
ByteCompile: yes
Encoding: UTF-8
LazyData: yes
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-03-26 09:16:31 UTC; pjs
Author: Bernd Bischl [cre, aut],
  Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
  Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
Repository: CRAN
Date/Publication: 2020-03-26 11:00:02 UTC

=== debian/changelog ===
r-cran-parallelmap (1.5.0-3) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 22:23:17 +0200

r-cran-parallelmap (1.5.0-2) unstable; urgency=medium

  * Team Upload.
  * Update Test Depends
  * Add upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 12 Apr 2020 18:58:38 +0530

r-cran-parallelmap (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Apr 2020 14:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-bbmisc (>= 1.8),
                r-cran-checkmate (>= 1.8.0)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap.git
 Homepage: https://cran.r-project.org/package=parallelMap
+Rules-Requires-Root: no
 
 Package: r-cran-parallelmap
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/parallelMap_([-\d.]*)\.tar\.gz

## r-cran-parallelmap 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: parallelMap
 Title: Unified Interface to Parallelization Back-Ends
-Version: 1.5.0
+Version: 1.5.1
 Authors@R: 
     c(person(given = "Bernd",
              family = "Bischl",
@@ -16,7 +16,6 @@
              role = "aut",
              email = "patrick.schratz@gmail.com",
              comment = c(ORCID = "0000-0003-0748-6624")))
-Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
 Description: Unified parallelization framework for multiple
     back-end, designed for internal package and interactive usage.  The
     main operation is parallel mapping over lists.  Supports 'local',
@@ -25,20 +24,20 @@
     user to switch on parallel execution for exactly this operation.
 License: BSD_2_clause + file LICENSE
 URL: https://parallelmap.mlr-org.com,
-        https://github.com/berndbischl/parallelMap
-BugReports: https://github.com/berndbischl/parallelMap/issues
+        https://github.com/mlr-org/parallelMap
+BugReports: https://github.com/mlr-org/parallelMap/issues
 Depends: R (>= 3.0.0)
 Imports: BBmisc (>= 1.8), checkmate (>= 1.8.0), parallel, stats, utils
 Suggests: BatchJobs (>= 1.8), batchtools (>= 0.9.6), data.table, Rmpi,
         rpart, snow, testthat
 ByteCompile: yes
 Encoding: UTF-8
-LazyData: yes
 RoxygenNote: 7.1.0
 NeedsCompilation: no
-Packaged: 2020-03-26 09:16:31 UTC; pjs
+Packaged: 2021-06-27 13:21:26 UTC; pjs
 Author: Bernd Bischl [cre, aut],
   Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
   Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
+Maintainer: Bernd Bischl <bernd_bischl@gmx.net>
 Repository: CRAN
-Date/Publication: 2020-03-26 11:00:02 UTC
+Date/Publication: 2021-06-28 06:40:04 UTC

=== debian/changelog ===
r-cran-parallelmap (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-bbmisc and
      r-cran-checkmate.

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 17:49:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bbmisc (>= 1.8),
-               r-cran-checkmate (>= 1.8.0)
-Standards-Version: 4.5.0
+               r-cran-bbmisc,
+               r-cran-checkmate
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelmap.git
 Homepage: https://cran.r-project.org/package=parallelMap

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-batchjobs, r-cran-batchtools, r-cran-rpart
Restrictions: allow-stderr
